package com.ningdatech.kqapi.zzsfw.entity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author ZPF
 * @since 2023-10-27
 */
@Data
@TableName("nd_kq_zzsfw_matters_deduplicate")
@ApiModel(value = "NdKqZzsfwMattersDeduplicate", description = "")
public class NdKqZzsfwMattersDeduplicate implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id主键")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("数据同步时间")
    private LocalDateTime createOn;

    @ApiModelProperty("事项名称")
    private String qlName;

    @ApiModelProperty("链接")
    private String webapplyurl;

    @ApiModelProperty("重复数")
    private Integer countNum = 0;

    public static NdKqZzsfwMattersDeduplicate of(String qlName, String webapplyurl) {
        NdKqZzsfwMattersDeduplicate dup = new NdKqZzsfwMattersDeduplicate();
        dup.setQlName(qlName);
        dup.setWebapplyurl(webapplyurl);
        dup.setCountNum(1);
        return dup;
    }
}
