package com.ningdatech.kqapi.zzsfw.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 社区VO
 * </p>
 *
 * @author ZPF
 * @since 2023-10-25
 */
@Data
@ApiModel(value = "WindowVO", description = "窗口VO")
public class WindowVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("窗口")
    private String windowName;

    @ApiModelProperty("事项")
    private List<MattersVO> matters;
}
