package com.ningdatech.kqapi.common.exception;


import com.ningdatech.kqapi.common.exception.code.ExceptionCode;

/**
 * <p>
 * ExportException
 * </p>
 *
 * @author WendyYang
 * @since 16:02 2024/1/8
 */
public class ExportException extends BaseUncheckedException {

    public ExportException(Throwable cause) {
        super(cause);
    }

    public ExportException(String message, Object... args) {
        super(ExceptionCode.BAD_REQUEST.getCode(), message, args);
    }

    public static ExportException wrap(String message, Object... args) {
        return new ExportException(message, args);
    }

}
